Bug 1702801 - Review Request: black-hole-solver - Solver for the solitaire games Golf, Black Hole, and All in a Row
Summary: Review Request: black-hole-solver - Solver for the solitaire games Golf, Blac...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 19:23 UTC by Shlomi Fish
Modified: 2020-08-03 00:25 UTC (History)
3 users (show)

Fixed In Version: black-hole-solver-1.2.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-03 00:25:24 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2019-04-24 23:15:28 UTC
 - the license file must be installed with %license, not %doc:

%license COPYING

 - missing isa:

Requires: %{libname}%{?_isa} = %version-%release

 - Be more specific here:

%{_mandir}/*/*

 - You bundle xxHash-wrapper/xxHash-0.6.5 under BSD license. Include it in License if it is in the resulting binary and add a comment explaining the license breakdown.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "BSD 2-clause
     "Simplified" License". 74 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/black-hole-
     solver/review-black-hole-solver/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/black-hole-solver
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libblack-hole-solver1 , libblack-hole-solver-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define basen black-hole-
     solver, %define libname_orig lib%{basen}, %define major 1, %define
     libname lib%{basen}%{major}, %define develname lib%{basen}-devel
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: black-hole-solver-0.20.0-1.fc31.x86_64.rpm
          libblack-hole-solver1-0.20.0-1.fc31.x86_64.rpm
          libblack-hole-solver-devel-0.20.0-1.fc31.x86_64.rpm
          black-hole-solver-debuginfo-0.20.0-1.fc31.x86_64.rpm
          black-hole-solver-debugsource-0.20.0-1.fc31.x86_64.rpm
          black-hole-solver-0.20.0-1.fc31.src.rpm
libblack-hole-solver1.x86_64: W: no-documentation
libblack-hole-solver-devel.x86_64: W: no-dependency-on libblack-hole-solver/libblack-hole-solver-libs/liblibblack-hole-solver
libblack-hole-solver-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Shlomi Fish 2019-04-25 07:25:26 UTC
Thanks! The .spec and .src.rpm have been updated at the same URLs.

Comment 3 Robert-André Mauchin 🐧 2019-04-25 09:38:07 UTC
 - Could xxHash be unbundlded to depend on a system one?

Comment 4 Shlomi Fish 2019-04-25 10:41:46 UTC
(In reply to Robert-André Mauchin from comment #3)
>  - Could xxHash be unbundlded to depend on a system one?

done in the latest files in the same URLs. Thanks!

Comment 5 Robert-André Mauchin 🐧 2019-04-25 12:27:47 UTC
Package approved.

Comment 6 Gwyn Ciesla 2019-04-25 16:18:20 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/black-hole-solver

Comment 7 Elliott Sales de Andrade 2020-08-03 00:25:24 UTC
Please close your Review Requests when they are complete.


Note You need to log in before you can comment on or make changes to this bug.